
QGIS Application - Bug report #9686

Geometry simplification bug with grid layer

2014-03-02 01:21 AM - Vincent chourmo

Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18251

Description

Using layer simplification on a square grip leads to rendering artifacts : only triangles are shown.

Related issues:

Related to QGIS Application - Bug report # 9759: rectangular polygons display... Closed 2014-03-11

History

#1 - 2014-03-02 01:26 AM - Giovanni Manghi

- Assignee set to Alvaro Huarte

- Affected QGIS version changed from 2.2.0 to master

#2 - 2014-03-02 03:49 AM - Alvaro Huarte

Hi, I have located the error, these geometries are not closed (they have 4 points), I fix it.

Thanks

Alvaro

#3 - 2014-03-02 05:54 AM - Alvaro Huarte

This pull fixes the bug:

https://github.com/qgis/QGIS/pull/1220

Alvaro

#4 - 2014-03-02 05:54 AM - Alvaro Huarte

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes

#5 - 2014-03-09 11:20 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in commit:60e1a9b
